Name:           ocaml-mysql
Version:        1.1.1
Release:        %mkrel 7
Summary:        Bindings for interacting with MySQL databases from OCaml
URL:            http://ocaml-mysql.forge.ocamlcore.org/
Source0:        http://forge.ocamlcore.org/frs/download.php/870/ocaml-mysql-%{version}.tar.gz
License:        LGPL
Group:          Development/OCaml
BuildRequires:  ocaml-compiler
BuildRequires:  camlp4
BuildRequires:  mysql-devel
BuildRequires:  ocaml-findlib

%description
ocaml-mysql is a package for OCaml that provides access to mysql databases.
It consists of low level functions implemented in C and a module Mysql
intended for application development.

%package devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       mysql-devel
Requires:       %name

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q

%build
./configure
make reallyall

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}/%{_libdir}/ocaml/stublibs
make install OCAMLFIND_INSTFLAGS="-destdir %{buildroot}/%{_libdir}/ocaml"

%files
%doc CHANGES COPYING README VERSION
%dir %{_libdir}/ocaml/mysql
%{_libdir}/ocaml/mysql/*.cmi
%{_libdir}/ocaml/mysql/*.cma
%{_libdir}/ocaml/mysql/META
%{_libdir}/ocaml/stublibs/dllmysql_stubs.so*

%files devel
%doc doc/mysql/html/
%{_libdir}/ocaml/mysql/*.a
%{_libdir}/ocaml/mysql/*.cmx
%{_libdir}/ocaml/mysql/*.cmxa
%{_libdir}/ocaml/mysql/*.mli


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 1.1.1-7.mga4
+ Revision: 539507
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 malo <malo> 1.1.1-6.mga4
+ Revision: 492360
- rebuild for new ocaml 4.01.0

* Tue Apr 02 2013 dmorgan <dmorgan> 1.1.1-5.mga3
+ Revision: 407127
- Fix requires in the devel package

* Sun Jan 13 2013 umeabot <umeabot> 1.1.1-4.mga3
+ Revision: 361492
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.1.1-3.mga3
+ Revision: 301109
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.1.1-2.mga3
+ Revision: 300470
- new rpm group for ocaml

* Wed Jul 11 2012 malo <malo> 1.1.1-1.mga3
+ Revision: 269583
- update to 1.1.1

* Wed Jan 18 2012 blue_prawn <blue_prawn> 1.1.0-1.mga2
+ Revision: 197959
- package imported from Mandriva where it was made and maintained by Guillaume Rousse, (Andre Nathan <andre(_)digirati.com.br> has also contributed to it)

